This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 720695 - (CVE-2011-2023) CVE-2011-2023 SquirrelMail: XSS in <style> tag handling
CVE-2011-2023 SquirrelMail: XSS in <style> tag handling
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110710,reported=20110712,sou...
: Security
Depends On: 720696 720697 737980 737981 737982 833983
Blocks: 720699 720700
  Show dependency treegraph
 
Reported: 2011-07-12 10:21 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-12 10:21:50 EDT
An cross-site scripting (XSS) flaw was found in the way SquirrelMail performed sanitization of MIME messages containing certain <style> HTML tags. A remote attacker could provide a specially-crafted message, which once opened in SquirrelMail webmail client could lead to arbitrary JavaScript or HTML code execution.

Upstream advisory:
[1] http://www.squirrelmail.org/security/issue/2011-07-10

Relevant patch:
[2] http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=revision&revision=14121
Comment 1 Jan Lieskovsky 2011-07-12 10:23:14 EDT
This issue affects the versions of the squirrelmail package, as shipped with
Red Hat Enterprise Linux 4 and 5.

--

This issue affects the version of the squirrelmail package, as present within
EPEL-6 repository. Please schedule an update.

--

This issue affects the versions of the squirrelmail package, as shipped with
Fedora release of 14 and 15. Please schedule an update.
Comment 2 Jan Lieskovsky 2011-07-12 10:26:06 EDT
Created squirrelmail tracking bugs for this issue

Affects: epel-6 [bug 720696]
Affects: fedora-all [bug 720697]
Comment 3 William Yardley 2011-09-08 22:57:09 EDT
Is there a plan to backport fixes for this, and similar recent security issues:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4554
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4555
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2023
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2752
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2753

to the RHEL 5 packages (Squirrelmail 1.4.8)? It doesn't look like any security fixes have gone into EL5 since back in 10/09.
Comment 4 Michal Hlavinka 2011-09-09 04:48:09 EDT
I can't answer that, that's question for security team. So you ask them in the cve bug in bugzilla. For example CVE-2010-4554 is bug #720693. (Bugs you've linked have link to bugzilla in them)
Comment 5 Michal Hlavinka 2011-09-09 04:50:32 EDT
> I can't answer that, that's question for security team. So you should 
> ask them in the cve bug in bugzilla.

Which you did. I've missed what the product/component/assignee of this bug really is.
Comment 6 Jan Lieskovsky 2011-09-09 06:43:01 EDT
Hello William,

  thank you for contacting us.

(In reply to comment #3)
> Is there a plan to backport fixes for this, and similar recent security issues:
> 
>  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4554
>  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4555
>  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2023
>  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2752
>  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2753
> 
> to the RHEL 5 packages (Squirrelmail 1.4.8)? It doesn't look like any security
> fixes have gone into EL5 since back in 10/09.

We are currently working on squirrelmail package updates, which would address the security flaws you list above. Unfortunately right now, we are not able to provide exact date, when the updated packages will be available for download, as this act depends on many conditions and the final date may be subject of change.

Hope this helps. Let us know, if we can be of any further help.

Thank you && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 7 William Yardley 2011-09-09 12:56:59 EDT
Thank you. I've also opened up ticket #00528045 with Red Hat support if that matters.
Comment 9 errata-xmlrpc 2012-02-08 14:47:52 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2012:0103 https://rhn.redhat.com/errata/RHSA-2012-0103.html

Note You need to log in before you can comment on or make changes to this bug.